Estimate the price of a new subscription
curl --request GET \
--url {schemes}://api.upsun.com/organizations/{organization_id}/subscriptions/estimate \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/organizations/{organization_id}/subscriptions/estimate"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/organizations/{organization_id}/subscriptions/estimate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"plan": "<string>",
"user_licenses": "<string>",
"environments": "<string>",
"storage": "<string>",
"total": "<string>",
"options": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Subscriptions
Estimate the price of a new subscription
deprecated
GET
/
organizations
/
{organization_id}
/
subscriptions
/
estimate
Estimate the price of a new subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the organization.
Query Parameters
The plan type of the subscription.
The maximum number of environments which can be provisioned on the project.
The total storage available to each environment, in MiB.
The number of user licenses.
The format of the estimation output.
Available options:
formatted, complex Response
OK
A price estimate object.
Last modified on September 25, 2026
Was this page helpful?